testtools API documentation
===========================

Generated reference documentation for all the public functionality of
testtools.

Please :doc:`send patches </hacking>` if you notice anything confusing or
wrong, or that could be improved.


.. toctree::
   :maxdepth: 2


testtools
---------

.. automodule:: testtools
   :members:

testtools.assertions
--------------------

.. automodule:: testtools.assertions
   :members:



testtools.matchers
------------------

.. automodule:: testtools.matchers
   :members:


testtools.twistedsupport
-------------------------

.. automodule:: testtools.twistedsupport
   :members:
   :special-members: __init__
